[Launch]
ProgramExecutable="WonderFoxDVDVideoConverter\WonderFox DVD Video Converter.exe"
WorkingDirectory=%PAL:AppDir%\WonderFoxDVDVideoConverter
SingleAppInstance=true
WaitForExe1=WonderFox DVD Video Converter.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
-=HKCU\Software\Microsoft\Multimedia\DrawDib
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication

[DirectoriesMove]
WonderFoxDVDVideoConverter=%APPDATA%\WonderFox Soft\WonderFox DVD Video Converter

[DirectoriesCleanupIfEmpty]
1=%APPDATA%\WonderFox Soft
2=%USERPROFILE%\Videos\WonderFox Soft\WonderFox DVD Video Converter\Download_Video
3=%USERPROFILE%\Videos\WonderFox Soft\WonderFox DVD Video Converter\MergeVideo
4=%USERPROFILE%\Videos\WonderFox Soft\WonderFox DVD Video Converter\OutputPicture
5=%USERPROFILE%\Videos\WonderFox Soft\WonderFox DVD Video Converter\OutputVideo
6=%USERPROFILE%\Videos\WonderFox Soft\WonderFox DVD Video Converter\Subtitle
7=%USERPROFILE%\Videos\WonderFox Soft\WonderFox DVD Video Converter
8=%USERPROFILE%\Videos\WonderFox Soft

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=INI
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Section=Setup
Key=SoundFile
Value=%PAL:AppDir%\WonderFoxDVDVideoConverter\Complete.wav

[FileWrite3]
Type=INI
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Section=Setup
Key=TempMergeDIR
Value=%PAL:Drive%%PAL:PackagePartialDir%\Output\MergeVideo\

[FileWrite4]
Type=INI
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Section=Setup
Key=OutputDIR
Value=%PAL:Drive%%PAL:PackagePartialDir%\Output\OutputVideo\

[FileWrite5]
Type=INI
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Section=Setup
Key=SubtitleDIR
Value=%PAL:Drive%%PAL:PackagePartialDir%\Output\Subtitle\

[FileWrite6]
Type=INI
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Section=Setup
Key=SaveimageDIR
Value=%PAL:Drive%%PAL:PackagePartialDir%\Output\OutputPicture\

[FileWrite7]
Type=INI
File=%PAL:DataDir%\WonderFoxDVDVideoConverter\config.ini
Section=Setup
Key=DownFilePath
Value=%PAL:Drive%%PAL:PackagePartialDir%\Output\Download_Video\